Bug 1287934 - gameconqueror cannot does not display authentication window
gameconqueror cannot does not display authentication window
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: scanmem (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 22:59 EST by guoxiao
Modified: 2016-08-08 07:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-08 07:54:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description guoxiao 2015-12-02 22:59:38 EST
Description of problem:
Gameconqueror does not display authentication window if I click it in menu. But if i run it under command line it works well.

Version-Release number of selected component (if applicable):
gameconqueror-0.15.4-1.fc23.x86_64


How reproducible:


Steps to Reproduce:
1. dnf install gameconqueror
2. click it in menu

Actual results:
It does not display authentication window and cannot open.

Expected results:
It show the authentication window and runs well.

Additional info:
Comment 1 Peter Robinson 2015-12-02 23:13:52 EST
wrong component, please research before filing bugs against wrong components and wasting people's time
Comment 2 guoxiao 2015-12-03 00:19:18 EST
@Peter Robinson Sorry. I tried to find gameconqueror and didn't found the component.
Comment 3 Igor Gnatenko 2015-12-06 03:41:42 EST
I want to see logs. Please run gameconqueror from terminal.
Comment 4 guoxiao 2015-12-06 03:46:54 EST
(In reply to Igor Gnatenko from comment #3)
> I want to see logs. Please run gameconqueror from terminal.

This issue only occurs when I click the icon. So if I run it from terminal it works well.

I tried to see the journalctl and found the following output when I click the icon:

Dec 06 16:43:37 macbookpro GameConqueror.desktop[18521]: Refusing to render service to dead parents.
Comment 5 Sebastian Parschauer 2016-01-13 10:28:30 EST
It would have been cool if this would have been reported to upstream (me) at https://github.com/scanmem/scanmem. I can confirm the bug on other distros as well.

There is a problem in the commit "gui: improve pkexec".

https://github.com/scanmem/scanmem/commit/b75f1be2768d983097add9c2676396085f97a2c1

The thing is that pkexec doesn't require 'exec' in front of it. That is what causes the trouble. Removing it in /usr/bin/gameconqueror fixes the problem.

Thanks for reporting! I'll open the upstream bug and commit the fix later on.
Comment 6 Sebastian Parschauer 2016-01-13 16:00:45 EST
Upstream bug: https://github.com/scanmem/scanmem/issues/148
Upstream fix: https://github.com/scanmem/scanmem/commit/cb365ab9cd6b61da7d7ca4dd3801653251eff145

Please retest with that change and report back results.

Known affected: Fedora 23, Ubuntu 12.04 Precise
Known unaffected: Ubuntu 14.04 Trusty
Comment 7 guoxiao 2016-03-07 00:47:30 EST
(In reply to Sebastian Parschauer from comment #6)
> Upstream bug: https://github.com/scanmem/scanmem/issues/148
> Upstream fix:
> https://github.com/scanmem/scanmem/commit/
> cb365ab9cd6b61da7d7ca4dd3801653251eff145
> 
> Please retest with that change and report back results.
> 
> Known affected: Fedora 23, Ubuntu 12.04 Precise
> Known unaffected: Ubuntu 14.04 Trusty

How could I test the Upstream fix? Is there any testing rpms for me to download and test?
Comment 8 Sebastian Parschauer 2016-03-07 01:44:17 EST
Compile from latest source or edit /usr/bin/gameconqueror as root.

If editing, then just remove the exec in front of pkexec.

If compiling from latest source, then do it like this:
./autogen.sh
./configure --prefix=/usr --enable-gui
make
sudo make install
Comment 9 guoxiao 2016-03-07 02:00:39 EST
(In reply to Sebastian Parschauer from comment #8)
> Compile from latest source or edit /usr/bin/gameconqueror as root.
> 
> If editing, then just remove the exec in front of pkexec.
> 
> If compiling from latest source, then do it like this:
> ./autogen.sh
> ./configure --prefix=/usr --enable-gui
> make
> sudo make install

I edited /usr/bin/gameconqueror under Fedora 23 and it works now. So I think it is the working solution to the problem. Thanks for your fix.
Comment 10 Sebastian Parschauer 2016-03-07 02:13:53 EST
I'll release v0.15.5 soon, if that's the only way how to get fixes into distributions,...

Note You need to log in before you can comment on or make changes to this bug.